#
# spec file for package yast2-iscsi-lio-server
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-iscsi-lio-server
Version:        3.2.1
Release:        1.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  doxygen
BuildRequires:  libxslt
BuildRequires:  popt-devel
BuildRequires:  sgml-skel
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  yast2-packagemanager-devel
BuildRequires:  yast2-testsuite
BuildRequires:  rubygem(rspec)
Requires:       lio-utils

# network needs Wizard::OpenCancelOKDialog()
#  function from yast2-2.18.2
# Wizard::SetDesktopTitleAndIcon()
Requires:       yast2 >= 2.21.22

BuildArch:      noarch

Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        Configuration of iSCSI LIO target
License:        GPL-2.0
Group:          System/YaST

%description
This package contains configuration of iSCSI LIO target

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

%files
%defattr(-,root,root)
%dir %{yast_yncludedir}/iscsi-lio-server
%{yast_yncludedir}/iscsi-lio-server/*
%{yast_clientdir}/iscsi-lio-server.rb
%{yast_clientdir}/iscsi-lio-server_*.rb
%{yast_moduledir}/IscsiLioServer*
%{yast_moduledir}/IscsiLioData*
%{yast_desktopdir}/iscsi-lio-server.desktop
%{yast_scrconfdir}/ietd.scr
%doc %{yast_docdir}

%changelog
* Tue May 16 2017 lszhu@suse.de
- fix bsc#1037819, add translation markers in adding LUN page
  Removed trailing ":" from labels.
- 3.2.1
* Wed Feb 22 2017 lszhu@suse.com
- fate#318832, redesign authentication UI
- changed online help
- a bug fix for discovery session without authentication.
-3.2.0
* Wed Jul  6 2016 gs@suse.de
- allow to remove global authentication values
  (bnc#919474, bnc#977342)
- 3.1.19
* Tue Jun  7 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.18
* Wed May  4 2016 gs@suse.de
- replace iSCSI "client" by "initiator" in labels, popups and
  help text (fate#319293)
- add hint to use different passwords for incoming and outgoing
  authentication (bsc#977173)
- 3.1.17
* Wed Jul 15 2015 gs@suse.de
- add info about the tpg status to targets overview
  (partial bug-fix for bnc#920380)
- 3.1.16
* Wed May 27 2015 lszhu@suse.de
- remove ":" in target name when identifier is empty (bnc#932170)
- 3.1.15
* Wed Mar  4 2015 gs@suse.de
- use 'ip addr show', don't show deprecated IPs
- 3.1.14
* Tue Feb  3 2015 gs@suse.de
- show a warning popup in case of empty client list (bnc #898261)
- 3.1.13
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
- 3.1.12
* Thu Sep  4 2014 mvidner@suse.com
- Use a more flexible rubygem requirement syntax (bnc#895069)
- 3.1.11
* Wed Sep  3 2014 gs@suse.de
- don't log user/password info (additional bug-fix for bnc #893362)
- 3.1.10
* Wed Aug 27 2014 gs@suse.de
- do not write user/password info to YaST log-file (bnc #893362)
- 3.1.9
* Thu Jul 24 2014 gs@suse.de
- bind all IP addresses to a target if requested by user
  (bnc #885688)
- 3.1.8
* Thu May 15 2014 gs@suse.de
- save configuration on Finish (call lio_dump and tcm_dump)
- 3.1.7
* Tue May  6 2014 gs@suse.de
- fixed integer conversion to string (bnc #874963)
- 3.1.6
* Wed Apr 30 2014 gs@suse.de
- fixed typos in help text (bnc #873026)
- 3.1.5
* Mon Apr 14 2014 gs@suse.de
- name of firewall service is service:target
- 3.1.4
* Tue Jan 14 2014 gs@suse.de
- use /etc/iet/ietd.conf instead of /etc/ietd.conf (bnc#800956)
- 3.1.3
* Tue Dec  3 2013 gs@suse.de
- disable authentication correctly for a new target (bnc #821613)
- 3.1.2
* Tue Nov 12 2013 gs@suse.de
- add IPv6 support (fate #316261)
- allow a client to access several LUNs, improve help text
- 3.1.1
* Wed Sep 18 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Tue Apr 16 2013 fehr@suse.de
- mark error popup text for translation (bnc#813999)
* Mon Feb 11 2013 fehr@suse.de
- 2.23.2
- show error popup when service could not be started (bnc#801677)
* Thu Nov 15 2012 fehr@suse.de
- 2.23.1
- make lio_node --setchapauth be called with empty password to
  reset passwords
* Wed Nov 14 2012 fehr@suse.de
- remove option "No Auth" for client authentification (bnc#789261)
* Tue Nov  6 2012 fehr@suse.de
- fix problem with copying just added entries (bnc#788201)
* Wed Oct 31 2012 fehr@suse.de
- consistently use "iSCSI LIO Target" everywhere
* Tue Oct 30 2012 fehr@suse.de
- do not stop service when yast modules exits and service is not
  configured to be started at boot (bnc#787195)
* Thu Oct 25 2012 fehr@suse.de
- add lio-utils to Requires in spec.in
* Mon Oct  8 2012 fehr@suse.de
- fix size detection when using files as data source (bnc#769196)
* Mon Oct  1 2012 fehr@suse.de
- explicitely use LC_ALL=POSIX when parsing output (bnc#769196)
* Wed Sep 26 2012 fehr@suse.de
- 2.23.0
- update desktop file
* Tue Mar 27 2012 fehr@suse.de
- 2.17.1
- initial version of iscsi-lio-server (bnc#769196, FATE#312231)
